import { Model } from "../model/model";
import { BaseOperation } from "./database.operations";
import { Datastore } from "../datastore/datastore";
export declare class DeleteOperation<T extends Model<T>> implements BaseOperation<T> {
    private _store;
    private _id?;
    constructor(store: Datastore<T>, id?: string);
    item(item: T): this;
    id(id: string): this;
    run(): Promise<T | null>;
}
