import { BaseOperation } from "./database.operations";
import { Datastore } from "../datastore/datastore";
import { Model } from "../model/model";
export declare class PushOperation<T extends Model<T>> implements BaseOperation<T> {
    private _toAdd?;
    private _store;
    constructor(store: Datastore<T>);
    item(value: T): this;
    run(): Promise<T>;
}
